### Hierarchy

- UnixTree
- Puttable
  - Tree

### Implemented by

- BaseTree

## Index

### Properties

- readOnly

### Methods

- add
- addRecurse
- cat
- createChildTree
- createOrUpdateChildFile
- exists
- get
- getDirectChild
- getLinks
- getOrCreateDirectChild
- ls
- mkdir
- mkdirRecurse
- mv
- put
- putDetailed
- removeDirectChild
- rm
- rmRecurse
- updateChild
- updateDirectChild
- updateLink

## Properties

### readOnly

readOnly: boolean

Inherited from UnixTree.readOnly

- Defined in fs/types.ts:71

## Methods

### add

- add(path: Path, content: FileContent): Promise<Tree>

- Inherited from UnixTree.add

  - Defined in fs/types.ts:76

  #### Parameters

  - ##### path: Path

  - ##### content: FileContent

  #### Returns Promise<Tree>

### addRecurse

- addRecurse(path: Path, content: FileContent, onUpdate: Maybe<UpdateCallback>): Promise<Tree>

- - Defined in fs/types.ts:88

  #### Parameters

  - ##### path: Path

  - ##### content: FileContent

  - ##### onUpdate: Maybe<UpdateCallback>

  #### Returns Promise<Tree>

### cat

- cat(path: Path): Promise<FileContent>

- Inherited from UnixTree.cat

  - Defined in fs/types.ts:75

  #### Parameters

  - ##### path: Path

  #### Returns Promise<FileContent>

### createChildTree

- createChildTree(name: string, onUpdate: Maybe<UpdateCallback>): Promise<Tree>

- - Defined in fs/types.ts:84

  #### Parameters

  - ##### name: string

  - ##### onUpdate: Maybe<UpdateCallback>

  #### Returns Promise<Tree>

### createOrUpdateChildFile

- createOrUpdateChildFile(content: FileContent, name: string, onUpdate: Maybe<UpdateCallback>): Promise<File>

- - Defined in fs/types.ts:85

  #### Parameters

  - ##### content: FileContent

  - ##### name: string

  - ##### onUpdate: Maybe<UpdateCallback>

  #### Returns Promise<File>

### exists

- exists(path: Path): Promise<boolean>

- Inherited from UnixTree.exists

  - Defined in fs/types.ts:80

  #### Parameters

  - ##### path: Path

  #### Returns Promise<boolean>

### get

- get(path: Path): Promise<null | File | Tree>

- Overrides UnixTree.get

  - Defined in fs/types.ts:94

  #### Parameters

  - ##### path: Path

  #### Returns Promise<null | File | Tree>

### getDirectChild

- getDirectChild(name: string): Promise<null | File | Tree>

- - Defined in fs/types.ts:95

  #### Parameters

  - ##### name: string

  #### Returns Promise<null | File | Tree>

### getLinks

- getLinks(): Links

- - Defined in fs/types.ts:99

  #### Returns Links

### getOrCreateDirectChild

- getOrCreateDirectChild(name: string, onUpdate: Maybe<UpdateCallback>): Promise<File | Tree>

- - Defined in fs/types.ts:96

  #### Parameters

  - ##### name: string

  - ##### onUpdate: Maybe<UpdateCallback>

  #### Returns Promise<File | Tree>

### ls

- ls(path: Path): Promise<Links>

- Inherited from UnixTree.ls

  - Defined in fs/types.ts:73

  #### Parameters

  - ##### path: Path

  #### Returns Promise<Links>

### mkdir

- mkdir(path: Path): Promise<Tree>

- Inherited from UnixTree.mkdir

  - Defined in fs/types.ts:74

  #### Parameters

  - ##### path: Path

  #### Returns Promise<Tree>

### mkdirRecurse

- mkdirRecurse(path: Path, onUpdate: Maybe<UpdateCallback>): Promise<Tree>

- - Defined in fs/types.ts:87

  #### Parameters

  - ##### path: Path

  - ##### onUpdate: Maybe<UpdateCallback>

  #### Returns Promise<Tree>

### mv

- mv(from: Path, to: Path): Promise<Tree>

- Inherited from UnixTree.mv

  - Defined in fs/types.ts:78

  #### Parameters

  - ##### from: Path

  - ##### to: Path

  #### Returns Promise<Tree>

### put

- put(): Promise<CID>

- Inherited from Puttable.put

  - Defined in fs/types.ts:56

  #### Returns Promise<CID>

### putDetailed

- putDetailed(): Promise<AddResult>

- Inherited from Puttable.putDetailed

  - Defined in fs/types.ts:57

  #### Returns Promise<AddResult>

### removeDirectChild

- removeDirectChild(name: string): Tree

- - Defined in fs/types.ts:93

  #### Parameters

  - ##### name: string

  #### Returns Tree

### rm

- rm(path: Path): Promise<Tree>

- Inherited from UnixTree.rm

  - Defined in fs/types.ts:77

  #### Parameters

  - ##### path: Path

  #### Returns Promise<Tree>

### rmRecurse

- rmRecurse(path: Path, onUpdate: Maybe<UpdateCallback>): Promise<Tree>

- - Defined in fs/types.ts:89

  #### Parameters

  - ##### path: Path

  - ##### onUpdate: Maybe<UpdateCallback>

  #### Returns Promise<Tree>

### updateChild

- updateChild(child: File | Tree, path: Path): Promise<Tree>

- - Defined in fs/types.ts:91

  #### Parameters

  - ##### child: File | Tree

  - ##### path: Path

  #### Returns Promise<Tree>

### updateDirectChild

- updateDirectChild(child: File | Tree, name: string, onUpdate: Maybe<UpdateCallback>): Promise<Tree>

- - Defined in fs/types.ts:92

  #### Parameters

  - ##### child: File | Tree

  - ##### name: string

  - ##### onUpdate: Maybe<UpdateCallback>

  #### Returns Promise<Tree>

### updateLink

- updateLink(name: string, result: AddResult): Tree

- - Defined in fs/types.ts:98

  #### Parameters

  - ##### name: string

  - ##### result: AddResult

  #### Returns Tree

Generated using TypeDoc